All resources All frames

# DebugFilter

The debug filter is usefull for debugging specific resources of the server. It will print out the incomming request before the target resource process it, and print out the reply the target resource has generated.

## Inherits

The DebugFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The DebugFilter defines the following attributes:

- onoff

`onoff`

semantics
  Turn debugging on or off. The filter will only emit traces when this flag is set ot true.
type
  This attribute is an editable BooleanAttribute
default value
  This attribute defaults to true.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.DebugFilter.html,v 1.3 1998/03/27 08:17:05 bmahe Exp $